#ifndef PANIC_H
#define PANIC_H

/* arch-tag: 8fa33498-a29c-40c0-9de2-3d8b335bba3f */

#include <stdarg.h>
#include <stdbool.h>

extern bool verbose_mode;

#ifdef __GNUC__
#define NORETURN __attribute__ ((noreturn))
#else
#define NORETURN
#endif

#define PANIC_BUFSIZE 256

void panicf(char *s, ...) NORETURN;
void panicnof(char *s, ...) NORETURN;
void panic(char *s) NORETURN;
void panicno(char *s) NORETURN;
void print_verbose(char *s, ...);

#undef NORETURN

#endif
