#ifndef UNIX_H
#define UNIX_H
/* arch-tag: 24165ae3-a9f8-40e1-8208-8586a2731c48 */

#include <pty.h>
#include <fcntl.h>
#include <utmp.h>
#include <unistd.h>

struct pty {
        int fd;
        int pid;
        char name[128];
        struct winsize winsize;
        struct termios termios;
};

struct pty * spawn_p(char *argv[]);

/* Write "n" bytes to a descriptor. */
int writen(int fd, const void *vptr, size_t *n);

#endif
