#ifndef _H_X11
#define _H_X11

/* arch-tag: 7af43533-ce5d-4431-9871-f27aa778ec10 */

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#define XK_MISCELLANY
#include <X11/keysymdef.h>

extern Display * disp;
extern XFontStruct *xfs;

struct win {
        Window w;
        GC gc;
        int width, height;
};

extern struct win win;

void x11_init(int argc, char *argv[]);
void x11_close(void);
void get_charcell_size(int *width, int *height);

#define ROOT (DefaultRootWindow(disp))
#define DEF_GC (DefaultGC(disp, DefaultScreen(disp)))
#define SCREEN (DefaultScreen(disp))
#define CMAP (DefaultColormap(disp,SCREEN))
#define BLACK (BlackPixel(disp, SCREEN))
#define WHITE (WhitePixel(disp, SCREEN))

#endif
